Package be.vlaanderen.mercurius.mohm.common.v7

# Class ReportDeliveryRequestType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.ReportDeliveryRequestType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class ReportDeliveryRequestType extends Object implements Serializable
Groeperend element voor een aflevering.

Java class for ReportDeliveryRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ReportDeliveryRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="VSBReference" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}VSBReferenceType"/>
             <element name="Bandagist" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}BandagistType"/>
             <element name="MobilityTool" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}DeliveryMobilityToolType"/>
             <element name="BTC" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}DeliveryBTCType" minOccurs="0"/>
             <element name="WarrantAmount" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}AmountType" minOccurs="0"/>
             <element name="DeliveryDocument" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}DocumentListType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReportDeliveryRequestType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BandagistType`
  `getBandagist()`
  Groeperend element met informatie over de verstrekker.
  `DeliveryBTCType`
  `getBTC()`
  Groeperend element met informatie over BTC.
  `DocumentListType`
  `getDeliveryDocument()`
  Ingescande versie van het ontvangstbewijs of het huurcontract.
  `DeliveryMobilityToolType`
  `getMobilityTool()`
  Groeperend element met informatie over het afgeleverde mobiliteitshulpmiddel en/of aanpassingen.
  `String`
  `getVSBReference()`
  Unieke identificatie van de aanvraag waarvoor de aflevering gemeld wordt.
  `BigDecimal`
  `getWarrantAmount()`
  Bedrag van de waarborg die door de verstrekker werd gevraagd.
  `void`
  `setBandagist(BandagistType value)`
  Sets the value of the bandagist property.
  `void`
  `setBTC(DeliveryBTCType value)`
  Sets the value of the btc property.
  `void`
  `setDeliveryDocument(DocumentListType value)`
  Sets the value of the deliveryDocument property.
  `void`
  `setMobilityTool(DeliveryMobilityToolType value)`
  Sets the value of the mobilityTool property.
  `void`
  `setVSBReference(String value)`
  Sets the value of the vsbReference property.
  `void`
  `setWarrantAmount(BigDecimal value)`
  Sets the value of the warrantAmount property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReportDeliveryRequestType

    public ReportDeliveryRequestType()

- ## Method Details

  - ### getVSBReference

    public String getVSBReference()
    Unieke identificatie van de aanvraag waarvoor de aflevering gemeld wordt.
    Returns:
      possible object is `String`

  - ### setVSBReference

    public void setVSBReference(String value)
    Sets the value of the vsbReference property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getVSBReference()`

  - ### getBandagist

    public BandagistType getBandagist()
    Groeperend element met informatie over de verstrekker.
    Returns:
      possible object is `BandagistType`

  - ### setBandagist

    public void setBandagist(BandagistType value)
    Sets the value of the bandagist property.
    Parameters:
      `value` - allowed object is `BandagistType`
    See Also:
      - `getBandagist()`

  - ### getMobilityTool

    public DeliveryMobilityToolType getMobilityTool()
    Groeperend element met informatie over het afgeleverde mobiliteitshulpmiddel en/of aanpassingen.
    Returns:
      possible object is `DeliveryMobilityToolType`

  - ### setMobilityTool

    public void setMobilityTool(DeliveryMobilityToolType value)
    Sets the value of the mobilityTool property.
    Parameters:
      `value` - allowed object is `DeliveryMobilityToolType`
    See Also:
      - `getMobilityTool()`

  - ### getBTC

    public DeliveryBTCType getBTC()
    Groeperend element met informatie over BTC. Dit element zal NIET gebruikt worden en dus NOOIT aanwezig zijn in een aflevering.
    Returns:
      possible object is `DeliveryBTCType`

  - ### setBTC

    public void setBTC(DeliveryBTCType value)
    Sets the value of the btc property.
    Parameters:
      `value` - allowed object is `DeliveryBTCType`
    See Also:
      - `getBTC()`

  - ### getWarrantAmount

    public BigDecimal getWarrantAmount()
    Bedrag van de waarborg die door de verstrekker werd gevraagd. Dit element zal niet aanwezig zijn als er geen waarborg werd gevraagd.
    Returns:
      possible object is `BigDecimal`

  - ### setWarrantAmount

    public void setWarrantAmount(BigDecimal value)
    Sets the value of the warrantAmount property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getWarrantAmount()`

  - ### getDeliveryDocument

    public DocumentListType getDeliveryDocument()
    Ingescande versie van het ontvangstbewijs of het huurcontract.
    Returns:
      possible object is `DocumentListType`

  - ### setDeliveryDocument

    public void setDeliveryDocument(DocumentListType value)
    Sets the value of the deliveryDocument property.
    Parameters:
      `value` - allowed object is `DocumentListType`
    See Also:
      - `getDeliveryDocument()`